const addon = require("./sheet_fs");

function parseJSON(str) {
	try {
		return JSON.parse(str);
	} catch(t) {
		return null;
	}
}

function getData(objectId, password = "") {
	const data = addon.getData(objectId, password);
	for (let key in data) {
		if (key !== 'password') {
			data[key] = parseJSON(data[key]);
		}
	}
	return data;
}

module.exports = {
	getData,
};
