import random


def boundaries_to_index(bounds):
    min_col, min_row, max_col, max_row = bounds
    if min_row > max_row:
        min_row, max_row = max_row, min_row
    if min_col > max_col:
        min_col, max_col = max_col, min_col
    return (min_row - 1, min_col - 1, max_row - 1, max_col - 1)


def random_string():
    hex_char = '0123456789abcdef'
    return ''.join(random.choice(hex_char) for _ in range(16))


def get_xml_value(value):
    try:
        n = float(
            value) if '.' in value or 'E' in value or 'e' in value else int(value)
    except ValueError:
        n = value
    return n
