from openpyxl.cell import Cell
from openpyxl.cell.cell import TYPE_STRING


class SynoCell(Cell):

    def __init__(self, ws):
        super(SynoCell, self).__init__(
            worksheet=ws, column='A', row=1, value=None)
        self.xf_id = None

    def set_explicit_value(self, value=None, data_type=TYPE_STRING):
        self._value = value
        self.data_type = data_type

    @property
    def has_style(self):
        return self.xf_id is not None
