<?php
namespace PhpOffice\PhpWord\Writer\HTML\Element;

/**
 * TextRun element HTML writer
 *
 * @since 0.10.0
 */
class TitleRun extends TextRun
{
    public function writeOpening()
    {
        $content= '';
        if (!$this->withoutP) {
            $content .= "<h".$this->element->getDepth()." synohead=\"".$this->element->getRelationId()."\">";
        }

        return $content;
    }

    public function writeClosing()
    {
        $content = '';
        if (!$this->withoutP) {
            $content .= "</h".$this->element->getDepth().">".PHP_EOL;
        }
        return $content;
    }
}
